package org.jboss.installer.core;

import org.jboss.installer.actions.ActionException;

import java.util.List;

public interface DialogManager {
    void validationError(String text);

    int validationWarning(String text);

    void actionError(String text);

    void systemError(Exception e);

    void actionError(ActionException cause);

    int validationWarning(List<String> messages);
}
